Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159884 - time so is missing for iptables; cannot create time based rules
Summary: time so is missing for iptables; cannot create time based rules
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL: http://rpmfind.net/linux/RPM/fedora/u...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 20:27 UTC by jackie linkowski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-29 23:44:48 UTC


Attachments (Terms of Use)

Description jackie linkowski 2005-06-08 20:27:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Trying to configure time based rules.  It fails.
Something like
/sbin/iptables -I OUTPUT 2 -d 192.168.0.1 -j ACCEPT  -m time --timestart 21:50 --timestop 21:53 -j ACCEPT
The repponse is:
iptables v1.2.11: Couldn't load match `time':/lib/iptables/libipt_time.so: cannot open shared object file: No such file or directory

Search within http://rpmfind.net/linux/RPM/fedora/updates/3/i386/iptables-1.2.11-3.1.FC3.i386.html
shows that libipt_time.so is not included.

Please note that man page show help for time based rules

Version-Release number of selected component (if applicable):
most current as of June 08

How reproducible:
Always

Steps to Reproduce:
1.attempt to insert time basedd rule:
/sbin/iptables -I OUTPUT 2 -d 192.168.0.1 -j ACCEPT  -m time --timestart 21:50 --timestop 21:53 -j ACCEPT
2.
3.
  

Actual Results:  The response is:
iptables v1.2.11: Couldn't load match `time':/lib/iptables/libipt_time.so: cannot open shared object file: No such file or directory

Expected Results:  prompt is returned
exedcuting 
/sbin/iptables -L 
shows the rule is present

Additional info:

Search within http://rpmfind.net/linux/RPM/fedora/updates/3/i386/iptables-1.2.11-3.1.FC3.i386.html
shows that libipt_time.so is not included.

Please note that man page show help for time based rules

Comment 1 Thomas Woerner 2005-11-18 11:51:45 UTC
There is no time support in kernel.
Assigning to kernel.


Comment 2 Dave Jones 2005-11-29 23:44:48 UTC
the userspace portion frequently supports modules that the kernel doesn't.
When these become available in the upstream kernel, they'll work, until then,
those features should be considered unavailable.

FC3 is very close to end of life, so it's not going to get any updates other
than those deemed critical.  Looking at the current FC5 tree, there isn't any
time based netfilter module yet, so it still needs to be pushed upstream.



Note You need to log in before you can comment on or make changes to this bug.